Foreman - Feature #32686

Update fog-google to a Ruby 3 compatible version

06/01/2021 12:15 PM - Ewoud Kohl van Wijngaarden

Status: Closed

Priority: Normal

Assignee: Evgeni Golov

Category: Compute resources - GCE

Target version:

Difficulty: Fixed in Releases: 3.4.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/9226,

https://github.com/theforeman/foreman/p

ull/9240
Description

The current version of fog-google is incompatible with Ruby 3. A newer version is needed.

Related issues:
Blocks Foreman - Tracker #32684: Ruby 3.0 support

Closed

Associated revisions

Revision b797b977 - 05/23/2022 07:31 AM - Evgeni Golov
Fixes #32686 - use fog-google 1.14+, compatible with Ruby 3.0

fog-google 1.13 started announcing 3.0 compatibility in the gem spec,
but 1.14 contains bug fixes to actually make it work

Revision f8ba14cb - 06/01/2022 12:53 PM - Evgeni Golov

Refs #32686 - relax fog-core pin, we support newer fog-google now

History

#1 - 06/01/2021 12:26 PM - Ewoud Kohl van Wijngaarden
- Related to Tracker #32684: Ruby 3.0 support added

#2 - 06/01/2021 12:28 PM - Ewoud Kohl van Wijngaarden
- Related to deleted (Tracker #32684: Ruby 3.0 support)

#3 - 06/01/2021 12:28 PM - Ewoud Kohl van Wijngaarden
- Blocks Tracker #32684: Ruby 3.0 support added

#4 - 05/19/2022 09:49 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/foreman/pull/9226 added

#5 - 05/23/2022 07:31 AM - The Foreman Bot
- Fixed in Releases 3.4.0 added

#6 - 05/23/2022 08:01 AM - Evgeni Golov
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|b797b977520e4866af1a7c9cb189ac9ac1b77c2c.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/b797b977520e4866af1a7c9cb189ac9ac1b77c2c

#7 - 05/30/2022 07:52 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9240 added

#8 - 08/17/2022 09:12 AM - Ewoud Kohl van Wijngaarden

- Category set to Compute resources - GCE
